import sys
from lit.llvm import llvm_config

# No JIT on win32.
if sys.platform == "win32":
    config.unsupported = True

# ArmSVE tests must be enabled via build flag.
if config.mlir_run_arm_sve_tests:
    config.substitutions.append(("%ENABLE_VLA", "true"))
    config.substitutions.append(
        ("%VLA_ARCH_ATTR_OPTIONS", '--march=aarch64 --mattr="+sve"')
    )
else:
    config.substitutions.append(("%ENABLE_VLA", "false"))
    config.substitutions.append(("%VLA_ARCH_ATTR_OPTIONS", ""))
